Name:          python-josepy
Version:       1.8.0
Release:       1mamba
Summary:       JOSE protocol implementation in Python using cryptography
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.python.org/pypi/josepy
Source:        https://pypi.debian.net/josepy/josepy-%{version}.tar.gz
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: libpython-devel
Requires:      python >= %python_version
Requires:      python-pyOpenSSL

%description
%{summary}.

%if "%?with_pyver"
%define pyver           %{with_pyver}
%define pyappend        py%{with_pyver}
%define __python        %(rpm --eval %{__python%{with_pyver}})
%define python_sitearch %(rpm --eval %{python%{with_pyver}_sitearch})
%define python_sitelib  %(rpm --eval %{python%{with_pyver}_sitelib})
%define python_inc      %(rpm --eval %{python%{with_pyver}_inc})
%define python_version  %(rpm --eval %{python%{with_pyver}_version})
%define python_provides %(rpm --eval %{python%{with_pyver}_provides})
%define python_requires %(rpm --eval %{python%{with_pyver}_requires})
%define py_requires     %(rpm --eval %{py%{with_pyver}_requires})

%package py%{pyver}
Group:         System/Libraries/Python
Summary:       %{summary}.
Requires:      python-pyOpenSSL-%{?pyappend}
%py_requires

%description py%{pyver}
%{summary}.
%endif

%prep
%setup -q -n josepy-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "s,.*/man/.*,&.gz," %{name}.filelist

%if "%{?pyappend}" != "py3"
rm -f %{buildroot}%{_bindir}/jws
sed -i "/\/usr\/bin\/jws/d" %{name}.filelist
%endif

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)

%changelog
* Wed Mar 17 2021 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- automatic version update by autodist

* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 1.7.0-1mamba
- automatic version update by autodist

* Sat Jan 30 2021 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Wed Nov 04 2020 Automatic Build System <autodist@mambasoft.it> 1.5.0-1mamba
- automatic version update by autodist

* Tue Aug 18 2020 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Sat Apr 11 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.0-3mamba
- require pyOpenSSL[-py3*]

* Sat Apr 11 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.0-2mamba
- rebuilt with py3* packages

* Sun Feb 02 2020 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Fri Jul 12 2019 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Sat May 19 2018 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Mon Apr 09 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-1mamba
- package created using the webbuild interface
